%define 	pname webalizer
%define 	pversion 2.01
%define		wversion 10
%define 	bversion 120
%define 	rpmrelease iworx

%define 	debug_package %{nil}

# Distro Statements
%define		oscode rhe%{?rhel}x

%if 0%{?rhel} <= 7
%define 	ostype RedHat Enterprise %{?rhel}.x
%endif

%if 0%{?rhel} >= 8
%define 	ostype Almalinux %{?rhel}.x
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

%if 0%{?rhel} <= 6
BuildRequires: 	db4-devel
%endif

%if 0%{?rhel} >= 7
BuildRequires:  libdb-devel
%endif

BuildRequires: 	gd-devel
BuildRequires: 	zlib-devel
BuildRequires: 	libpng-devel
BuildRequires: 	zlib

Requires: 	gd-devel
Requires:   fileutils
Requires:	zlib-devel
Requires:   shadow-utils
Requires: 	zlib

%define         ccflags %{optflags}
%define         ldflags %{optflags}

############### RPM ################################

Summary:	A flexible web statistics program
Name:		%{pname}
Version:	%{pversion}_%{wversion}
Release:	%{release}
License:	GPL

Group:		Applications/Internet
Source0: 	%{pname}-%{pversion}-%{wversion}.src.tar.bz2
URL:		http://www.mrunix.net/webalizer/

Epoch:		2

Distribution:	InterWorx-HAL
Vendor:		NEXCESS.NET L.L.C.
Packager:	NEXCESS.NET L.L.C. <clwells@nexcess.net>

BuildRoot:	%{_tmppath}/%{pname}-%{version}-root

Source1: webalizer.conf

Patch1: webalizer-2.01-06-rh.patch
Patch2: webalizer-dns-db1.patch
Patch3: webalizer-interworx.patch

%description
The Webalizer is a Web server log analysis program. It is designed to
scan Web server log files in various formats and produce usage
statistics in HTML format for viewing through a browser. It produces
professional looking graphs which make analyzing when and where your
Web traffic is coming from easy.

%prep

if [ -n %{buildroot} ] ; then rm -rf %{buildroot} ; fi

if [ -d $RPM_BUILD_DIR/%{pname}-%{pversion} ] ; then rm -rf $RPM_BUILD_DIR/%{pname}-%{pversion} ; fi

%setup -q -n %{pname}-%{pversion}-%{wversion}
%patch1 -p1 -b .rh
%patch2 -p1 -b .db1
%patch3 -p0

# Display compilation flags and OS with nice colors
if [ -f %{_tmppath}/%{pname}-%{pversion}-show_flags ] ; then rm -f %{_tmppath}/%{pname}-%{pversion}-show_flags ; fi
cat <<EOF >>%{_tmppath}/%{pname}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{pname}-%{pversion}-show_flags
%{_tmppath}/%{pname}-%{pversion}-show_flags
if [ -f %{_tmppath}/%{pname}-%{pversion}-show_flags ] ; then rm -f %{_tmppath}/%{pname}-%{pversion}-show_flags ; fi

%build

if [ -n "%{buildroot}" -a "%{buildroot}" != / ] ; then rm -rf %{buildroot} ; fi

mkdir -p %{buildroot}

%if 0%{?rhel} <= 6
export CPPFLAGS="-I%{_includedir}/db4"
%endif

export CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer -fPIC $CPPFLAGS"

./configure                           \
	--prefix=%{_prefix}               \
	--bindir=%{_bindir}               \
	--mandir=%{_mandir}               \
	--localstatedir=%{_localstatedir} \
	--libdir=%{_libdir}               \
	--datadir=%{_datadir}             \
	--includedir=%{_includedir}       \
	--sysconfdir=%{_sysconfdir}       \
	--enable-dns                      \
	--with-dblib=/lib

%{__make} %{?_smp_mflags}

%install
if [ "%{buildroot}" != "/" ] ; then rm -rf %{buildroot} ; fi

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}/man1

%{__make}                                       \
	prefix=%{buildroot}%{_prefix}               \
	bindir=%{buildroot}%{_bindir}               \
	mandir=%{buildroot}%{_mandir}               \
	libdir=%{buildroot}%{_libdir}               \
	localstatedir=%{buildroot}%{_localstatedir} \
	datadir=%{buildroot}%{_datadir}             \
	includedir=%{buildroot}%{_includedir}       \
	sysconfdir=%{buildroot}%{_sysconfdir}       \
	install

install -m 644 $RPM_SOURCE_DIR/webalizer.conf %{buildroot}/etc

%clean
if [ -n "%{buildroot}" -a "%{buildroot}" != / ] ; then rm -rf %{buildroot} ; fi
if [ -d $RPM_BUILD_DIR/%{pname}-%{pversion} ] ; then rm -rf $RPM_BUILD_DIR/%{pname}-%{pversion} ; fi

%files

%defattr(-,root,root)
%{_mandir}/man1/webalizer.1*
%attr(-,root,root) %{_bindir}/*
%attr(-,root,root) %config %{_sysconfdir}/webalizer.conf
%attr(-,root,root) %{_sysconfdir}/webalizer.conf.sample

%changelog
* Mon Feb 07 2022 Joseph Purkis <jpurkis@interworx.com>
- Updated for Amlalinux 8.x
* Tue Aug 26 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL 7.x
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Added support for Fedora 8
* Tue Feb 08 2005 Chris Wells <clwells@nexcess.net>
- Added fdr30 & fdr40
* Sun May 30 2004 Chris Wells <clwells@nexcess.net>
- Initial packaging as part of InterWorx-HAL OS
